## bluefish 0.12

=== inline_images/Makefile ===
# this script can help to find files that are actually not in use, run it from the basedir:
#
#for file in inline_images/*.png; do
#	BASE=`echo $file | sed -e 's/.png//' -e 's?inline_images/??'`
#	if ! egrep -q "[\\t ]*\{[0-9]+, ${BASE}\}" src/pixmap.c ; then
#		if grep -q "^[^#]*${BASE} ${BASE}.png" inline_images/Makefile; then
#			echo $BASE
#		fi
#	fi
#done

TOOLBAR = \
	abbr abbr.png \
	acronym acronym.png \
	anchor anchor.png \
	bluefish_icon1 bluefish_icon1.png \
	body body.png \
	bold bold.png \
	brbreak brbreak.png \
	breakall breakall.png \
	center center.png \
	cite cite.png \
	close close.png \
	code code.png \
	color_select color_select.png \
	comment comment.png \
	context context.png \
	css_small css_small.png \
	cssdiv cssdiv.png \
	cssnewstyle cssnewstyle.png \
	cssspan cssspan.png \
	cssstyle cssstyle.png \
	dfn dfn.png \
	email email.png \
	embed embed.png \
	filetree filetree.png \
	font font.png \
	font_base font_base.png \
	fonth1 fonth1.png \
	fonth2 fonth2.png \
	fonth3 fonth3.png \
	fonth4 fonth4.png \
	fonth5 fonth5.png \
	fonth6 fonth6.png \
	fontm1 fontm1.png \
	fontp1 fontp1.png \
	fontpre fontpre.png \
	fontsub fontsub.png \
	fontsuper fontsuper.png \
	form form.png \
	form_check form_check.png \
	form_hidden form_hidden.png \
	form_option form_option.png \
	form_radio form_radio.png \
	form_select form_select.png \
	form_submit form_submit.png \
	form_text form_text.png \
	form_textarea form_textarea.png \
	form_optiongroup form_optiongroup.png \
	frame frame.png \
	frame2 frame2.png \
	frame_base frame_base.png \
	frame_no frame_no.png \
	frameset frameset.png \
	frameset2 frameset2.png \
	framewhiz framewhiz.png \
	fref fref.png \
	frdialog frdialog.png \
	frinfo frinfo.png \
	frsearch frsearch.png \
	headings headings.png \
	hrule hrule.png \
	image image.png \
	indent indent.png \
	italic italic.png \
	kbd kbd.png \
	linkstylesheet linkstylesheet.png \
	list list.png \
	list_dd list_dd.png \
	list_dl list_dl.png \
	list_dt list_dt.png \
	list_li list_li.png \
	list_ol list_ol.png \
	list_ul list_ul.png \
	meta meta.png \
	multithumbs multithumbs.png \
	nbsp nbsp.png \
	new new.png \
	nothing nothing.png \
	open_small open_small.png \
	paragraph paragraph.png \
	php3 php3.png \
	prefseditor prefs-editor.png \
	prefsfiletypes prefs-filetypes.png \
	prefsinterface prefs-interface.png \
	prefsexternal prefs-external.png \
	prefshtml prefs-html.png \
	prefsoutputparser prefs-outputparser.png \
	prefsfiles prefs-files.png \
	prefsimages prefs-images.png \
 	prefssyntax prefs-syntax.png \
	quick_start quick_start.png \
	right right.png \
	samp samp.png \
	table table.png \
	table2 table2.png \
	table_capt table_capt.png \
	table_td table_td.png \
	table_td2 table_td2.png \
	table_th table_th.png \
	table_th2 table_th2.png \
	table_tr table_tr.png \
	table_tr2 table_tr2.png \
	tablewhiz tablewhiz.png \
	thumbnail thumbnail.png \
	underline underline.png \
	unindent unindent.png \
	var var.png \
	view_in_browser view_in_browser.png
#	cancel cancel.png \
#	copy copy.png \
#	cssclass cssclass.png \
#	cut cut.png \
#	dtd dtd.png \
#	help help.png \
#	image_map image_map.png \
#	javascript_mouseover javascript_mouseover.png \
#	javascript_netscape javascript_netscape.png \
#	javascript_preload javascript_preload.png \
#	jscript jscript.png \
#	linkjscript linkjscript.png \
#	list_menu list_menu.png \
#	netscape netscape.png \
#	no no.png \
#	ok ok.png \
#	open open.png \
#	paste paste.png \
#	preferences preferences.png \
#	print print.png \
#	redo redo.png \
#	rxml rxml.png \
#	ssi ssi.png \
#	save save.png \
#	save_as save_as.png \
#	search search.png \
#	search_replace search_replace.png \
#	spellcheck spellcheck.png \
#	strikeout strikeout.png \
#	undo undo.png \
#	wml_a wml_a.png \
#	wml_access wml_access.png \
#	wml_bold wml_bold.png \
#	wml_break wml_break.png \
#	wml_card wml_card.png \
#	wml_do wml_do.png \
#	wml_go wml_go.png \
#	wml_italic wml_italic.png \
#	wml_nbsp wml_nbsp.png \
#	wml_noop wml_noop.png \
#	wml_paragraph wml_paragraph.png \
#	wml_postfield wml_postfield.png \
#	wml_prev wml_prev.png \
#	wml_refresh wml_refresh.png \
#	wml_standard_document wml_standard_document.png \
#	wml_timer wml_timer.png \
#	wml_var wml_var.png

GENERAL = \
	close_small close_small.png

all:
	gdk-pixbuf-csource --raw --build-list $(TOOLBAR) > toolbar_icons.c
	gdk-pixbuf-csource --raw --build-list $(GENERAL) > general_icons.c

=== doc/source/Makefile ===
XSLTPROC = xsltproc

## You shouldn't normally need to edit anything below here.
SHELL = /bin/sh

BOOK_TOP=.
BOOK_DIR=${BOOK_TOP}
OUTPUT_DIR=..
TOOLS_DIR=../../../bluefish-doctools
BOOK_HTML_TARGET=${OUTPUT_DIR}/book.html
BOOK_PDF_TARGET=${OUTPUT_DIR}/book.pdf
BOOK_PS_TARGET=${OUTPUT_DIR}/book.ps
BOOK_FO_TARGET=${OUTPUT_DIR}/book.fo
BOOK_XML_SOURCE=${BOOK_DIR}/book.xml
BOOK_ALL_SOURCE=${BOOK_DIR}/*.xml

XSL_DIR=${TOOLS_DIR}/tools/xsl
XSL_FO=${XSL_DIR}/fo/docbook.xsl
XSL_HTML=${TOOLS_DIR}/db2longhtml.xsl
XSL_HTML_CHUNK=${TOOLS_DIR}/db2html.xsl

RUN_FOP=${TOOLS_DIR}/tools/bin/run-fop.sh

all: html pdf ps

html: $(BOOK_ALL_SOURCE)
	$(XSLTPROC) $(XSL_HTML_CHUNK) $(BOOK_XML_SOURCE) > $(BOOK_HTML_TARGET)
	mv *.html $(OUTPUT_DIR)/

html-one-big: $(BOOK_ALL_SOURCE)
	$(XSLTPROC) $(XSL_HTML) $(BOOK_XML_SOURCE) > $(BOOK_HTML_TARGET)

pdf: $(BOOK_ALL_SOURCE)
	$(XSLTPROC) $(XSL_FO) $(BOOK_XML_SOURCE) > $(BOOK_FO_TARGET)
	$(RUN_FOP) $(BOOK_TOP) -fo $(BOOK_FO_TARGET) -pdf $(BOOK_PDF_TARGET)

ps: $(BOOK_ALL_SOURCE)
	$(XSLTPROC) $(XSL_FO) $(BOOK_XML_SOURCE) > $(BOOK_FO_TARGET)
	$(RUN_FOP) $(BOOK_TOP) -fo $(BOOK_FO_TARGET) -ps $(BOOK_PS_TARGET)

clean:
	rm -f $(BOOK_HTML_TARGET) $(BOOK_FO_TARGET)
	rm -f $(BOOK_PDF_TARGET) $(BOOK_PS_TARGET) 
	rm -f $(BOOK_PDF_TARGET) $(BOOK_PS_TARGET) 
	rm -f $(OUTPUT_DIR)/*.html

## bluefish 1.0.7

=== inline_images/Makefile ===
# this script can help to find files that are actually not in use, run it from the basedir:
#
#for file in inline_images/*.png; do
#	BASE=`echo $file | sed -e 's/.png//' -e 's?inline_images/??'`
#	if ! egrep -q "[\\t ]*\{[0-9]+, ${BASE}\}" src/pixmap.c ; then
#		if grep -q "^[^#]*${BASE} ${BASE}.png" inline_images/Makefile; then
#			echo $BASE
#		fi
#	fi
#done

TOOLBAR = \
	pixmap_abbr abbr.png \
	pixmap_acronym acronym.png \
	pixmap_anchor anchor.png \
	pixmap_bluefish_icon1 bluefish_icon1.png \
	pixmap_body body.png \
	pixmap_bold bold.png \
	pixmap_bookmarks bookmarks.png \
	pixmap_brbreak brbreak.png \
	pixmap_breakall breakall.png \
	pixmap_center center.png \
	pixmap_cite cite.png \
	pixmap_close close.png \
	pixmap_code code.png \
	pixmap_color_select color_select.png \
	pixmap_comment comment.png \
	pixmap_context context.png \
	pixmap_css_small css_small.png \
	pixmap_cssdiv cssdiv.png \
	pixmap_cssnewstyle cssnewstyle.png \
	pixmap_cssspan cssspan.png \
	pixmap_cssstyle cssstyle.png \
	pixmap_dfn dfn.png \
	pixmap_email email.png \
	pixmap_embed embed.png \
	pixmap_filetree filetree.png \
	pixmap_font font.png \
	pixmap_font_base font_base.png \
	pixmap_fonth1 fonth1.png \
	pixmap_fonth2 fonth2.png \
	pixmap_fonth3 fonth3.png \
	pixmap_fonth4 fonth4.png \
	pixmap_fonth5 fonth5.png \
	pixmap_fonth6 fonth6.png \
	pixmap_fontm1 fontm1.png \
	pixmap_fontp1 fontp1.png \
	pixmap_fontpre fontpre.png \
	pixmap_fontsub fontsub.png \
	pixmap_fontsuper fontsuper.png \
	pixmap_form form.png \
	pixmap_form_check form_check.png \
	pixmap_form_hidden form_hidden.png \
	pixmap_form_option form_option.png \
	pixmap_form_radio form_radio.png \
	pixmap_form_select form_select.png \
	pixmap_form_submit form_submit.png \
	pixmap_form_text form_text.png \
	pixmap_form_textarea form_textarea.png \
	pixmap_form_optiongroup form_optiongroup.png \
	pixmap_frame frame.png \
	pixmap_frame2 frame2.png \
	pixmap_frame_base frame_base.png \
	pixmap_frame_no frame_no.png \
	pixmap_frameset frameset.png \
	pixmap_frameset2 frameset2.png \
	pixmap_framewhiz framewhiz.png \
	pixmap_fref fref.png \
	pixmap_frdialog frdialog.png \
	pixmap_frinfo frinfo.png \
	pixmap_frsearch frsearch.png \
	pixmap_headings headings.png \
	pixmap_hrule hrule.png \
	pixmap_image image.png \
	pixmap_indent indent.png \
	pixmap_italic italic.png \
	pixmap_kbd kbd.png \
	pixmap_linkstylesheet linkstylesheet.png \
	pixmap_list list.png \
	pixmap_list_dd list_dd.png \
	pixmap_list_dl list_dl.png \
	pixmap_list_dt list_dt.png \
	pixmap_list_li list_li.png \
	pixmap_list_ol list_ol.png \
	pixmap_list_ul list_ul.png \
	pixmap_meta meta.png \
	pixmap_multithumbs multithumbs.png \
	pixmap_nbsp nbsp.png \
	pixmap_new new.png \
	pixmap_nothing nothing.png \
	pixmap_open_small open_small.png \
	pixmap_paragraph paragraph.png \
	pixmap_php3 php3.png \
	pixmap_prefseditor prefs-editor.png \
	pixmap_prefsfiletypes prefs-filetypes.png \
	pixmap_prefsinterface prefs-interface.png \
	pixmap_prefsexternal prefs-external.png \
	pixmap_prefshtml prefs-html.png \
	pixmap_prefsoutputparser prefs-outputparser.png \
	pixmap_prefsfiles prefs-files.png \
	pixmap_prefsimages prefs-images.png \
 	pixmap_prefssyntax prefs-syntax.png \
	pixmap_quick_start quick_start.png \
	pixmap_right right.png \
	pixmap_samp samp.png \
	pixmap_table table.png \
	pixmap_table2 table2.png \
	pixmap_table_capt table_capt.png \
	pixmap_table_td table_td.png \
	pixmap_table_td2 table_td2.png \
	pixmap_table_th table_th.png \
	pixmap_table_th2 table_th2.png \
	pixmap_table_tr table_tr.png \
	pixmap_table_tr2 table_tr2.png \
	pixmap_tablewhiz tablewhiz.png \
	pixmap_thumbnail thumbnail.png \
	pixmap_underline underline.png \
	pixmap_unindent unindent.png \
	pixmap_var var.png \
	pixmap_view_in_browser view_in_browser.png
#	cancel cancel.png \
#	copy copy.png \
#	cssclass cssclass.png \
#	cut cut.png \
#	dtd dtd.png \
#	help help.png \
#	image_map image_map.png \
#	javascript_mouseover javascript_mouseover.png \
#	javascript_netscape javascript_netscape.png \
#	javascript_preload javascript_preload.png \
#	jscript jscript.png \
#	linkjscript linkjscript.png \
#	list_menu list_menu.png \
#	netscape netscape.png \
#	no no.png \
#	ok ok.png \
#	open open.png \
#	paste paste.png \
#	preferences preferences.png \
#	print print.png \
#	redo redo.png \
#	rxml rxml.png \
#	ssi ssi.png \
#	save save.png \
#	save_as save_as.png \
#	search search.png \
#	search_replace search_replace.png \
#	spellcheck spellcheck.png \
#	strikeout strikeout.png \
#	undo undo.png \
#	wml_a wml_a.png \
#	wml_access wml_access.png \
#	wml_bold wml_bold.png \
#	wml_break wml_break.png \
#	wml_card wml_card.png \
#	wml_do wml_do.png \
#	wml_go wml_go.png \
#	wml_italic wml_italic.png \
#	wml_nbsp wml_nbsp.png \
#	wml_noop wml_noop.png \
#	wml_paragraph wml_paragraph.png \
#	wml_postfield wml_postfield.png \
#	wml_prev wml_prev.png \
#	wml_refresh wml_refresh.png \
#	wml_standard_document wml_standard_document.png \
#	wml_timer wml_timer.png \
#	wml_var wml_var.png

GENERAL = \
	pixmap_close_small close_small.png \
	pixmap_edit_tag edit_tag.png

all:
	gdk-pixbuf-csource --raw --extern --build-list $(TOOLBAR) > toolbar_icons.c
	gdk-pixbuf-csource --raw --extern --build-list $(GENERAL) > general_icons.c

## bluefish 2.2.0

=== debian/changelog ===
bluefish (2.2.0-2) unstable; urgency=low

  * debian/control (bluefish-dbg/Suggests): Replace libgtk2.0-0-dbg by
    libgtk-3-0-dbg.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Fri, 25 Nov 2011 01:56:36 +0100

bluefish (2.2.0-1) unstable; urgency=low

  * New upstream release (closes: #623122; LP: #858992).
  * Acknowledge NMU (closes: #643737).
  * debian/compat: Increased dh compatibility level to 7.
  * debian/control (Standards-Version): Bumped to 3.9.2.
    (Build-Depends): Replaced libgtk2.0-dev, libgucharmap2-dev and
    libgucharmap-dev by libgtk-3-dev and libgucharmap-2-90-dev. Increased
    required debhelper version.
    (Conflicts): Changed to Breaks to fix conflicts-with-version.
  * debian/copyright: Minor update.
  * debian/rules: Rewritten for debhelper 7.
  * debian/watch: Added support for .bz2 suffix.
  * debian/source/format: Added for format 3.0 (quilt).
  * debian/patches/LP810663_blacklist_from_appmenu.patch: Added for Ubuntu.
  * debian/patches/series: Added empty.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Thu, 24 Nov 2011 22:10:26 +0100

bluefish (2.0.3-1.1) unstable; urgency=low

  * Non-maintainer upload, for the GNOME 3 transition.
  * Disable charmap plugin, as the GTK+ 2.0 version of libgucharmap7 is
    going away and loading GTK+ 2.0 and 3.0 in the same process is not
    allowed (closes: #643737).
  * Move Build-Depends on libgucharmap2-dev to Build-Conflicts as there
    isn't a configure switch to disable the plugin.

 -- Jordi Mallach <jordi@debian.org>  Thu, 13 Oct 2011 12:19:57 +0200

bluefish (2.0.3-1) unstable; urgency=low

  * New upstream release.
  * Second release candidate for version 2.0.3 (LP: #734685).
    - <img> modification window no longer always reports the original image
      width and height and instead of the imposted one (LP: #363009).
    - long page title do not longer cause window to resize over screen
      boarders (LP: #693367).
  * debian/rules (config.status): Support cross compilation.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 15 Mar 2011 22:28:29 +0100

bluefish (2.0.2-1) unstable; urgency=low

  * New upstream release.
    - Fixes several crashes.
    - Fixes for the GUI.
    - Fixes syntax highlighting.
    - Updates to Russion, Ukrainian and Danish translation.
    ... more at <URL:http://bluefish.openoffice.nl/#bluefish_2_0_2>.
  * debian/control (Vcs-Browser): Point to the trunk dir.
    (Standards-Version): Bumped to 3.9.1.
  * debian/rules (clean): Remove config.* files to clean diff.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Thu, 16 Sep 2010 23:39:11 +0200

bluefish (2.0.1-1) unstable; urgency=low

  * New upstream release - the first release of the 2.0 series for Debian
    (closes: #570731; LP: #540126). This release fixes these reported issues:
    - Better settings handling (closes: #548272).
    - Improved filebrowser (LP: #45927).
    - Improved syntax highlighting engine (LP: #108628).
    - Improved file operations (LP: #181110).
    - Translated menu descriptions (LP: #371318, #371322). The chosen menu
      name is fine.
    - Improved browser commands and handling (LP: #158891, #348408).
  * Updated and adjusted packaging files.
  * debian/bluefish_icon.xpm: Renamed to debian/bluefish.xpm.
  * debian/bluefish.install: Adjusted.
  * debian/bluefish.menu (icon): Adjusted.
  * debian/bluefish-data.install, debian/bluefish-plugins.install: Added.
  * debian/control: Added bluefish-data, bluefish-dbg and bluefish-plugins.
    (Build-Depends): Dropped deprecated build-dependencies libaspell-dev,
    libgnomeui-dev, libgnomevfs2-dev, libpcre3-dev and dpatch. Added intltool,
    libtool, libenchant-dev and libgucharmap2-dev.
    (Standards-Version): Bumped to 3.8.4.
    (Depends, Suggests): Adjusted. Added gvfs-backends as dependency.
  * debian/copyright: Updated.
  * debian/rules: Rewritten. Dropped dpatch.
    (LDFLAGS): Dropped -Wl,-z,defs because of plugins.
    (config.status:): Adjusted configure switches.
    (install): Install to debian/tmp and list missing files.
    (binary-indep): Added for bluefish-data.
    (binary-arch): Adjusted. Put debugging symbols into bluefish-dbg.
  * debian/watch: Added support for RCs.
  * debian/README.Debian: Dropped (useless with 2.0).
  * debian/README.source: Dropped together with dpatch.
  * debian/patches/: Dropped (obsolete).
  * debian/reportbug/: Dropped.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Tue, 29 Jun 2010 21:40:10 +0200

bluefish (1.0.7-6) unstable; urgency=low

  * debian/control: Added Vcs-Svn and Vcs-Browser field.
    (Standards-Version): Bumped to 3.8.0.
    (Suggests): Removed iceape. Removed gnome-bin (closes: #510738).
  * debian/README.source: Added to be compliant with policy version 3.8.0.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 02 Mar 2009 17:25:33 +0100

bluefish (1.0.7-5) unstable; urgency=low

  * debian/rules (build, clean): Moved the config.* copy action to
    config.status. Files can further be removed by dh_clean.
    (config.status): According to the manuals, variables should be given after
    the configure call.
  * debian/patches/03_latest_highlighting_pattern.dpatch: Adjusted.
    - Fix php highlighting pattern, that seem to lead to a segmentation fault on
      e.g. i386 architectures in some cases (LP: #228068).

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Fri, 09 May 2008 00:28:35 +0200

bluefish (1.0.7-4) unstable; urgency=low

  * debian/control: Added DM-Upload-Allowed for DM status.
    (Standards-Version): Raised to 3.7.3.
  * debian/rules: Added LDFLAGS to drop useless dependencies (should be safe
    here). Make sure, there are no unresolved symbols.
  * debian/patches/04_fix_maximization_state_save.dpatch: Added.
    - Fixes a long-time-standing bug, that prevents bluefish from saving the
      maximization state, if people quit with File > Quit.
  * debian/patches/05_fix_449288_hlt_pattern_dialog.dpatch: Added.


=== debian/control ===
Source: bluefish
Maintainer: Daniel Leidert (dale) <daniel.leidert@wgdd.de>
Section: web
Priority: optional
Build-Depends: debhelper (>> 7.0.50~), autotools-dev, gettext, intltool (>= 0.40), libtool,
 libenchant-dev, libglib2.0-dev (>= 2.16), libgtk-3-dev, libgucharmap-2-90-dev (>= 2.90),
 libpango1.0-dev, libxml2-utils, libxml2-dev, python-dev, zlib1g-dev
Standards-Version: 3.9.2
Homepage: http://bluefish.openoffice.nl
Vcs-Browser: http://bluefish.svn.sourceforge.net/viewvc/bluefish/packages/debian/bluefish/trunk/
Vcs-Svn: https://bluefish.svn.sourceforge.net/svnroot/bluefish/packages/debian/bluefish/trunk/
DM-Upload-Allowed: yes

Package: bluefish
Architecture: any
Depends: bluefish-data (= ${source:Version}), bluefish-plugins (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}, gvfs-backends
Suggests: bluefish-dbg, galeon | iceweasel | firefox | abrowser | seamonkey-browser | mozilla-browser | www-browser,
 weblint-perl | weblint, libxml2-utils, php5-cli, tidy
Description: advanced Gtk+ HTML editor
 Bluefish is a GTK+ HTML editor for the experienced web designer.
 Its features include nice wizards for startup, tables and frames; a
 fully featured image insert dialog; thumbnail creation and automatically
 linking of the thumbnail with the original image; and configurable HTML
 syntax highlighting.
 .
 For validation to work you need weblint and xmllint. For preview to work,
 you need a web browser that can view local files given to it
 on the command line.

Package: bluefish-plugins
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: advanced Gtk+ HTML editor (plugins)
 Bluefish is a GTK+ HTML editor for the experienced web designer.
 Its features include nice wizards for startup, tables and frames; a
 fully featured image insert dialog; thumbnail creation and automatically
 linking of the thumbnail with the original image; and configurable HTML
 syntax highlighting.
 .
 This package contains the plugins. You will need it for the HTML dialogs.
 So it's basically necessary.

Package: bluefish-data
Architecture: all
Depends: ${misc:Depends}
Replaces: bluefish (<< 1.3), bluefish-unstable (<< 1.1.5), bluefish-unstable-data (<< 2.0)
Breaks: bluefish (<< 1.3), bluefish-unstable (<< 1.1.5), bluefish-unstable-data (<< 2.0)
Description: advanced Gtk+ HTML editor (data)
 Bluefish is a GTK+ HTML editor for the experienced web designer.
 Its features include nice wizards for startup, tables and frames; a
 fully featured image insert dialog; thumbnail creation and automatically
 linking of the thumbnail with the original image; and configurable HTML
 syntax highlighting.
 .
 This package contains the architecture independent data.

Package: bluefish-dbg
Section: debug
Priority: extra
Architecture: any
Depends: bluefish (= ${binary:Version}), bluefish-plugins (= ${binary:Version}), ${misc:Depends}
Suggests: libc6-dbg, libatk1.0-dbg, libcairo2-dbg, libglib2.0-0-dbg,
 libgtk-3-0-dbg, libpango1.0-0-dbg, libxml2-dbg, zlib1g-dbg
Description: advanced Gtk+ HTML editor (debugging symbols)
 Bluefish is a GTK+ HTML editor for the experienced web designer.
 Its features include nice wizards for startup, tables and frames; a
 fully featured image insert dialog; thumbnail creation and automatically
 linking of the thumbnail with the original image; and configurable HTML
 syntax highlighting.
 .
 This package contains the debugging symbols. It is recommended to
 install it if you suffer a crash.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

PACKAGE  = bluefish

LDFLAGS ?=
LDFLAGS += -Wl,--as-needed

%:
	dh $@ --with autotools_dev --parallel

override_dh_auto_test:
override_dh_auto_configure: configure
	dh_auto_configure -- \
	    --with-icon-path=\$${prefix}/share/pixmaps \
	    --with-theme-path=\$${prefix}/share/icons/hicolor \
	    --with-freedesktop_org-menu=\$${prefix}/share/applications \
	    --with-freedesktop_org-mime=\$${prefix}/share/mime \
	    --with-xml-catalog=\$${sysconfdir}/xml/catalog \
	    --disable-static \
	    --disable-xml-catalog-update \
	    --disable-update-databases \
	    LDFLAGS="$(LDFLAGS)"

override_dh_install:
	dh_install --list-missing

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_strip:
	dh_strip --dbg-package=$(PACKAGE)-dbg

=== debian/watch ===
version=3
opts=uversionmangle=s/-(rc\d+)/~$1/ \
 http://www.bennewitz.com/bluefish/stable/source/bluefish-([\d\.]+(?:-rc\d+)?).tar.(?:gz|bz2)

## bluefish 2.2.1

=== debian/changelog ===
bluefish (2.2.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Used wrap-and-sort.
    (Build-Depends): Increased autotools-dev version for dh addon usage.
    (bluefish-dbg/Suggests): Added gvfs-dbg. Fixed the dependency on libc6-dbg
    by adding dependencies to libc0.1-dbg, libc0.3-dbg and libc6.1-dbg for the
    relevant architectures.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Fri, 23 Dec 2011 11:44:09 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,20 @@
 Maintainer: Daniel Leidert (dale) <daniel.leidert@wgdd.de>
 Section: web
 Priority: optional
-Build-Depends: debhelper (>> 7.0.50~), autotools-dev, gettext, intltool (>= 0.40), libtool,
- libenchant-dev, libglib2.0-dev (>= 2.16), libgtk-3-dev, libgucharmap-2-90-dev (>= 2.90),
- libpango1.0-dev, libxml2-utils, libxml2-dev, python-dev, zlib1g-dev
+Build-Depends: autotools-dev (>> 20100122.1~),
+               debhelper (>> 7.0.50~),
+               gettext,
+               intltool (>= 0.40),
+               libenchant-dev,
+               libglib2.0-dev (>= 2.16),
+               libgtk-3-dev,
+               libgucharmap-2-90-dev (>= 2.90),
+               libpango1.0-dev,
+               libtool,
+               libxml2-dev,
+               libxml2-utils,
+               python-dev,
+               zlib1g-dev
 Standards-Version: 3.9.2
 Homepage: http://bluefish.openoffice.nl
 Vcs-Browser: http://bluefish.svn.sourceforge.net/viewvc/bluefish/packages/debian/bluefish/trunk/
@@ -13,10 +24,17 @@
 
 Package: bluefish
 Architecture: any
-Depends: bluefish-data (= ${source:Version}), bluefish-plugins (= ${binary:Version}),
- ${shlibs:Depends}, ${misc:Depends}, gvfs-backends
-Suggests: bluefish-dbg, galeon | iceweasel | firefox | abrowser | seamonkey-browser | mozilla-browser | www-browser,
- weblint-perl | weblint, libxml2-utils, php5-cli, tidy
+Depends: bluefish-data (= ${source:Version}),
+         bluefish-plugins (= ${binary:Version}),
+         gvfs-backends,
+         ${misc:Depends},
+         ${shlibs:Depends}
+Suggests: bluefish-dbg,
+          galeon | iceweasel | firefox | abrowser | seamonkey-browser | mozilla-browser | www-browser,
+          libxml2-utils,
+          php5-cli,
+          tidy,
+          weblint-perl | weblint
 Description: advanced Gtk+ HTML editor
  Bluefish is a GTK+ HTML editor for the experienced web designer.
  Its features include nice wizards for startup, tables and frames; a
@@ -30,7 +48,7 @@
 
 Package: bluefish-plugins
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: advanced Gtk+ HTML editor (plugins)
  Bluefish is a GTK+ HTML editor for the experienced web designer.
  Its features include nice wizards for startup, tables and frames; a
@@ -44,8 +62,12 @@
 Package: bluefish-data
 Architecture: all
 Depends: ${misc:Depends}
-Replaces: bluefish (<< 1.3), bluefish-unstable (<< 1.1.5), bluefish-unstable-data (<< 2.0)
-Breaks: bluefish (<< 1.3), bluefish-unstable (<< 1.1.5), bluefish-unstable-data (<< 2.0)
+Replaces: bluefish (<< 1.3),
+          bluefish-unstable (<< 1.1.5),
+          bluefish-unstable-data (<< 2.0)
+Breaks: bluefish (<< 1.3),
+        bluefish-unstable (<< 1.1.5),
+        bluefish-unstable-data (<< 2.0)
 Description: advanced Gtk+ HTML editor (data)
  Bluefish is a GTK+ HTML editor for the experienced web designer.
  Its features include nice wizards for startup, tables and frames; a
@@ -59,9 +81,21 @@
 Section: debug
 Priority: extra
 Architecture: any
-Depends: bluefish (= ${binary:Version}), bluefish-plugins (= ${binary:Version}), ${misc:Depends}
-Suggests: libc6-dbg, libatk1.0-dbg, libcairo2-dbg, libglib2.0-0-dbg,
- libgtk-3-0-dbg, libpango1.0-0-dbg, libxml2-dbg, zlib1g-dbg
+Depends: bluefish (= ${binary:Version}),
+         bluefish-plugins (= ${binary:Version}),
+         ${misc:Depends}
+Suggests: gvfs-dbg,
+          libatk1.0-dbg,
+          libc0.1-dbg [!linux-any !hurd-any],
+          libc0.3-dbg [!linux-any !kfreebsd-any],
+          libc6-dbg [!alpha !ia64 !hurd-any !kfreebsd-any],
+          libc6.1-dbg [alpha ia64],
+          libcairo2-dbg,
+          libglib2.0-0-dbg,
+          libgtk-3-0-dbg,
+          libpango1.0-0-dbg,
+          libxml2-dbg,
+          zlib1g-dbg
 Description: advanced Gtk+ HTML editor (debugging symbols)
  Bluefish is a GTK+ HTML editor for the experienced web designer.
  Its features include nice wizards for startup, tables and frames; a

## bluefish 2.2.2

=== debian/changelog ===
bluefish (2.2.2-1) unstable; urgency=low

  * New upstream release.
    - Fixes various crashes (closes: #656013).
  * debian/control (Standards-Version): Bumped to 3.9.3.

 -- Daniel Leidert (dale) <daniel.leidert@wgdd.de>  Mon, 05 Mar 2012 20:52:34 +0100

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                libxml2-utils,
                python-dev,
                zlib1g-dev
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://bluefish.openoffice.nl
 Vcs-Browser: http://bluefish.svn.sourceforge.net/viewvc/bluefish/packages/debian/bluefish/trunk/
 Vcs-Svn: https://bluefish.svn.sourceforge.net/svnroot/bluefish/packages/debian/bluefish/trunk/

## bluefish 2.2.3

=== debian/changelog ===
bluefish (2.2.3-4) unstable; urgency=low

  * debian/patches/fix_segfault_blocksync.patch: Added.
    - Fix a segmentation fault in the block synchronization feature.
  * debian/patches/fix_segfault_scanner.patch: Added.
    - Fix segmentation faults in the language scanner feature.
  * debian/patches/series: Added.

 -- Daniel Leidert <dleidert@debian.org>  Mon, 10 Sep 2012 00:15:13 +0200

bluefish (2.2.3-3) unstable; urgency=low

  * debian/patches/bz679203_fix_segfault.patch: Added.
    - Fix a segmentation fault (LP: #954879).
  * debian/patches/translation_updates.patch: Added.
    - Bring translations up-to-date.
  * debian/patches/series: Adjusted.

 -- Daniel Leidert <dleidert@debian.org>  Fri, 13 Jul 2012 00:30:20 +0200

bluefish (2.2.3-2) unstable; urgency=low

  * debian/copyright: Updated to GPL-3+ (closes: #666025).

 -- Daniel Leidert <dleidert@debian.org>  Fri, 29 Jun 2012 00:48:22 +0200

bluefish (2.2.3-1) unstable; urgency=low

  * New upstream release.
    - Added search keywords to .desktop file (LP: #948228).
    - Fixed crash in highlighting engine (LP: #990716).
    - Fixed thumbnail creation (closes: #663100).
  * debian/control: Dropped DM-Upload-Allowed.
    (Maintainer): Set to my new address.
    (Suggests): Calculate browsers depending on distribution.
    (Depends): Added python depends for newly shipped Python scripts.
  * debian/copyright: Minor update. Link to GPLv2 text.
  * debian/rules: Enabled hardening. Added python2 module. Calculate brwoser
    dependencies via dpkg-vendor.
  * debian/patches/LP810663_blacklist_from_appmenu.patch: Adjusted.

 -- Daniel Leidert <dleidert@debian.org>  Wed, 27 Jun 2012 22:28:39 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: bluefish
-Maintainer: Daniel Leidert (dale) <daniel.leidert@wgdd.de>
+Maintainer: Daniel Leidert <dleidert@debian.org>
 Section: web
 Priority: optional
 Build-Depends: autotools-dev (>> 20100122.1~),
@@ -14,13 +14,13 @@
                libtool,
                libxml2-dev,
                libxml2-utils,
+               python (>> 2.6.6-3~),
                python-dev,
                zlib1g-dev
 Standards-Version: 3.9.3
 Homepage: http://bluefish.openoffice.nl
 Vcs-Browser: http://bluefish.svn.sourceforge.net/viewvc/bluefish/packages/debian/bluefish/trunk/
 Vcs-Svn: https://bluefish.svn.sourceforge.net/svnroot/bluefish/packages/debian/bluefish/trunk/
-DM-Upload-Allowed: yes
 
 Package: bluefish
 Architecture: any
@@ -30,11 +30,11 @@
          ${misc:Depends},
          ${shlibs:Depends}
 Suggests: bluefish-dbg,
-          galeon | iceweasel | firefox | abrowser | seamonkey-browser | mozilla-browser | www-browser,
           libxml2-utils,
           php5-cli,
           tidy,
-          weblint-perl | weblint
+          weblint-perl | weblint,
+          ${vendor:Browser} | www-browser
 Description: advanced Gtk+ HTML editor
  Bluefish is a GTK+ HTML editor for the experienced web designer.
  Its features include nice wizards for startup, tables and frames; a
@@ -61,7 +61,7 @@
 
 Package: bluefish-data
 Architecture: all
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, ${python:Depends}
 Replaces: bluefish (<< 1.3),
           bluefish-unstable (<< 1.1.5),
           bluefish-unstable-data (<< 2.0)

## bluefish 2.2.4

=== debian/changelog ===
bluefish (2.2.4-2) unstable; urgency=low

  * debian/control (Standards-Version): Bumped to 3.9.4.
  * debian/copyright: Updated.

 -- Daniel Leidert <dleidert@debian.org>  Thu, 09 May 2013 14:36:58 +0200

bluefish (2.2.4-1) experimental; urgency=low

  * New upstream release.
    - Fixes mouse controlled zoom-out issue (LP: #1020925).
    - Fixes tabs width issue (LP: #1065625).
  * debian/copyright: Updated.
  * debian/patches/bz679203_fix_segfault.patch: Dropped (applied upstream).
  * debian/patches/fix_segfault_blocksync.patch: Ditto.
  * debian/patches/fix_segfault_scanner.patch: Ditto.
  * debian/patches/translation_updates.patch: Ditto.
  * debian/patches/series: Adjusted.

 -- Daniel Leidert <dleidert@debian.org>  Sat, 09 Feb 2013 23:43:04 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                python (>> 2.6.6-3~),
                python-dev,
                zlib1g-dev
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://bluefish.openoffice.nl
 Vcs-Browser: http://bluefish.svn.sourceforge.net/viewvc/bluefish/packages/debian/bluefish/trunk/
 Vcs-Svn: https://bluefish.svn.sourceforge.net/svnroot/bluefish/packages/debian/bluefish/trunk/

## bluefish 2.2.5

=== debian/changelog ===
bluefish (2.2.5-1) unstable; urgency=low

  * New upstream release.
    - Fixes a highlighting bug (LP: #1242387, #1263967).
  * debian/control (Standards-Version): Bumped to 3.9.5.
    (Build-Depends): Added dh-autoreconf and some GTK related version info.
  * debian/copyright: Fixed unversioned-copyright-format-uri.
  * debian/rules: Use the autoreconf addon (closes: #737671).
  * debian/upstream-signing-key.pgp: Added upstream keyring.
  * debian/watch: Added signature URL.
  * debian/source/include-binaries: Added debian/upstream-signing-key.pgp.

 -- Daniel Leidert <dleidert@debian.org>  Tue, 11 Feb 2014 16:52:23 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Maintainer: Daniel Leidert <dleidert@debian.org>
 Section: web
 Priority: optional
-Build-Depends: autotools-dev (>> 20100122.1~),
-               debhelper (>> 7.0.50~),
+Build-Depends: debhelper (>> 7.0.50~),
+               dh-autoreconf,
                gettext,
                intltool (>= 0.40),
                libenchant-dev,
-               libglib2.0-dev (>= 2.16),
-               libgtk-3-dev,
+               libglib2.0-dev (>= 2.24),
+               libgtk-3-dev (>= 3.2.2),
                libgucharmap-2-90-dev (>= 2.90),
                libpango1.0-dev,
                libtool,
@@ -17,7 +17,7 @@
                python (>> 2.6.6-3~),
                python-dev,
                zlib1g-dev
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://bluefish.openoffice.nl
 Vcs-Browser: http://bluefish.svn.sourceforge.net/viewvc/bluefish/packages/debian/bluefish/trunk/
 Vcs-Svn: https://bluefish.svn.sourceforge.net/svnroot/bluefish/packages/debian/bluefish/trunk/

=== debian/rules ===
--- 
+++ 
@@ -5,13 +5,16 @@
 # Uncomment this to turn on verbose mode.
 # export DH_VERBOSE=1
 
-PACKAGE  = bluefish
+PACKAGE := bluefish
 
-LDFLAGS ?=
-LDFLAGS += -Wl,--as-needed
+DEB_VENDOR := $(shell dpkg-vendor --query vendor)
+
+CPPFLAGS ?= $(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS   ?= $(shell dpkg-buildflags --get CFLAGS)
+LDFLAGS  ?= $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed
 
 %:
-	dh $@ --with autotools_dev --parallel
+	dh $@ --with autoreconf,python2 --parallel
 
 override_dh_auto_test:
 override_dh_auto_configure: configure
@@ -24,6 +27,8 @@
 	    --disable-static \
 	    --disable-xml-catalog-update \
 	    --disable-update-databases \
+	    CPPFLAGS="$(CPPFLAGS)" \
+	    CFLAGS="$(CFLAGS)" \
 	    LDFLAGS="$(LDFLAGS)"
 
 override_dh_install:
@@ -35,3 +40,13 @@
 override_dh_strip:
 	dh_strip --dbg-package=$(PACKAGE)-dbg
 
+override_dh_python2:
+	dh_python2 -pbluefish-data usr/share/bluefish/plugins/zencoding/ usr/share/bluefish/lipsum/
+
+override_dh_gencontrol:
+ifneq (,$(filter Ubuntu,$(DEB_VENDOR)))
+	dh_gencontrol -- -Vvendor:Browser='firefox | abrowser'
+else
+	dh_gencontrol -- -Vvendor:Browser='iceweasel | iceape'
+endif
+

## bluefish 2.2.6

=== debian/changelog ===
bluefish (2.2.6-1~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Daniel Leidert <dleidert@debian.org>  Sat, 10 May 2014 23:25:19 +0200

bluefish (2.2.6-1) unstable; urgency=medium

  * New upstream release.
    - Fixes a serious segmentation fault (LP: #1300648, #1317650).
    - Improves handling of image files in the filebrowser (LP: #1248595).
  * debian/control (Description): Fixed typo.

 -- Daniel Leidert <dleidert@debian.org>  Sat, 10 May 2014 23:13:37 +0200

bluefish (2.2.5-3) unstable; urgency=low

  * debian/control (Description): Major update.
    (Suggests): Added csstidy, dos2unix, pylint and php-codesniffer.
  * debian/copyright: Added missing information about lorem-impsum-generator.

 -- Daniel Leidert <dleidert@debian.org>  Sun, 16 Feb 2014 12:08:39 +0100

bluefish (2.2.5-2) unstable; urgency=low

  * debian/bluefish.install: Added appdata file.
  * debian/control (Vcs-Browser, Vcs-Svn): Fixed URLs.
  * debian/copyright: Updated. Added missing plugin information.
  * debian/rules (override_dh_installchangelogs): Dropped as ChangeLog is now
    used.

 -- Daniel Leidert <dleidert@debian.org>  Sat, 15 Feb 2014 13:42:42 +0100

=== debian/control ===
Source: bluefish
Maintainer: Daniel Leidert <dleidert@debian.org>
Section: web
Priority: optional
Build-Depends: debhelper (>> 7.0.50~),
               dh-autoreconf,
               gettext,
               intltool (>= 0.40),
               libenchant-dev,
               libglib2.0-dev (>= 2.24),
               libgtk-3-dev (>= 3.2.2),
               libgucharmap-2-90-dev (>= 2.90),
               libpango1.0-dev,
               libtool,
               libxml2-dev,
               libxml2-utils,
               python (>> 2.6.6-3~),
               python-dev,
               zlib1g-dev
Standards-Version: 3.9.5
Homepage: http://bluefish.openoffice.nl
Vcs-Browser: http://sourceforge.net/p/bluefish/code/HEAD/tree/packages/debian/bluefish/trunk/
Vcs-Svn: svn://svn.code.sf.net/p/bluefish/code/packages/debian/bluefish/trunk/

Package: bluefish
Architecture: any
Depends: bluefish-data (= ${source:Version}),
         bluefish-plugins (= ${binary:Version}),
         gvfs-backends,
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: csstidy,
          dos2unix,
          libxml2-utils,
          php-codesniffer,
          pylint,
          tidy,
          weblint-perl | weblint,
          ${vendor:Browser} | www-browser
Description: advanced Gtk+ text editor for web and software development
 Bluefish is a powerful editor targeted towards programmers and web
 developers, with many options to write websites, scripts and programming
 code. Bluefish supports a wide variety of programming and markup languages
 and has many features, e.g.
 .
  - Customizable code folding, auto indenting and completion
  - Support for remote files operation over FTP, SFTP, HTTPS, WebDAV, etc.
  - Site upload and download
  - Powerful search and replace engine
  - Customizable integration of external programs such as lint, make, etc
  - Snippets plugin to automate often used code
  - Code-aware in-line spell checking
  - Zencoding or Emmet support
  - Bookmarks panel
 .
 but is still lightweight and fast.
 .
 For validation of CSS/HTML/XML documents you need csstidy, tidy, weblint
 and/or xmllint. For preview to work, you need a web browser that can view
 local files given to it on the command line. For PHP or Python bluefish
 supports php-codesniffer and pylint. Tools not suggested but supported
 are make, perl, php5-cli and java-compiler.

Package: bluefish-plugins
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: advanced Gtk+ text editor (plugins)
 Bluefish is a powerful editor targeted towards programmers and web
 developers, with many options to write websites, scripts and programming
 code. Bluefish supports a wide variety of programming and markup languages
 and has many features, e.g.
 .
  - Customizable code folding, auto indenting and completion
  - Support for remote files operation over FTP, SFTP, HTTPS, WebDAV, etc.
  - Site upload and download
  - Powerful search and replace engine
  - Customizable integration of external programs such as lint, make, etc
  - Snippets plugin to automate often used code
  - Code-aware in-line spell checking
  - Zencoding or Emmet support
  - Bookmarks panel
 .
 but is still lightweight and fast.
 .
 This package contains the plugins. You will need it for the HTML dialogs,
 snippets, charmaps etc. So it's basically necessary.

Package: bluefish-data
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Replaces: bluefish (<< 1.3),
          bluefish-unstable (<< 1.1.5),
          bluefish-unstable-data (<< 2.0)
Breaks: bluefish (<< 1.3),
        bluefish-unstable (<< 1.1.5),
        bluefish-unstable-data (<< 2.0)
Description: advanced Gtk+ text editor (data)
 Bluefish is a powerful editor targeted towards programmers and web
 developers, with many options to write websites, scripts and programming
 code. Bluefish supports a wide variety of programming and markup languages
 and has many features, e.g.
 .
  - Customizable code folding, auto indenting and completion
  - Support for remote files operation over FTP, SFTP, HTTPS, WebDAV, etc.
  - Site upload and download
  - Powerful search and replace engine
  - Customizable integration of external programs such as lint, make, etc
  - Snippets plugin to automate often used code
  - Code-aware in-line spell checking
  - Zencoding or Emmet support
  - Bookmarks panel
 .
 but is still lightweight and fast.
 .
 This package contains the architecture independent data for the application
 and its plugins.

Package: bluefish-dbg
Section: debug
Priority: extra
Architecture: any
Depends: bluefish (= ${binary:Version}),
         bluefish-plugins (= ${binary:Version}),
         ${misc:Depends}
Suggests: gvfs-dbg,
          libatk1.0-dbg,
          libc0.1-dbg [!linux-any !hurd-any],
          libc0.3-dbg [!linux-any !kfreebsd-any],
          libc6-dbg [!alpha !ia64 !hurd-any !kfreebsd-any],
          libc6.1-dbg [alpha ia64],
          libcairo2-dbg,
          libglib2.0-0-dbg,
          libgtk-3-0-dbg,
          libpango1.0-0-dbg,
          libxml2-dbg,
          zlib1g-dbg
Description: advanced Gtk+ text editor (debugging symbols)
 Bluefish is a powerful editor targeted towards programmers and web
 developers, with many options to write websites, scripts and programming
 code. Bluefish supports a wide variety of programming and markup languages
 and has many features, e.g.
 .
  - Customizable code folding, auto indenting and completion
  - Support for remote files operation over FTP, SFTP, HTTPS, WebDAV, etc.
  - Site upload and download
  - Powerful search and replace engine
  - Customizable integration of external programs such as lint, make, etc
  - Snippets plugin to automate often used code
  - Code-aware in-line spell checking
  - Zencoding or Emmet support
  - Bookmarks panel
 .
 but is still lightweight and fast.
 .
 This package contains the debugging symbols. It is recommended to
 if you suffer a crash. Then use the gdb program to create a useful
 backtrace.

=== debian/rules ===
--- 
+++ 
@@ -34,9 +34,6 @@
 override_dh_install:
 	dh_install --list-missing
 
-override_dh_installchangelogs:
-	dh_installchangelogs NEWS
-
 override_dh_strip:
 	dh_strip --dbg-package=$(PACKAGE)-dbg

## bluefish 2.2.7

=== debian/changelog ===
bluefish (2.2.7-2~bpo70+1) wheezy-backports-sloppy; urgency=medium

  * Rebuild for wheezy-backports-sloppy.

 -- Daniel Leidert <dleidert@debian.org>  Fri, 28 Aug 2015 22:54:39 +0200

bluefish (2.2.7-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/control (Vcs-Svn, Vcs-Browser): Set back to trunk (unstable).

 -- Daniel Leidert <dleidert@debian.org>  Sun, 10 May 2015 11:10:20 +0200

bluefish (2.2.7-1) experimental; urgency=medium

  * New upstream release.
  * debian/control (Standards-Version): Bumped to 3.9.6.
    (Vcs-Svn, Vcs-Browser): Fixed accordingly for experimental.
  * debian/patches/747963_fix_conflicting_declarations.patch: Dropped.
    Applied upstream.
  * debian/patches/752234_fix_chromium_command.patch: Dropped. Applied
    upstream.
  * debian/patches/series: Adjusted accordingly.

 -- Daniel Leidert <dleidert@debian.org>  Wed, 04 Feb 2015 22:36:09 +0100

bluefish (2.2.6-2) unstable; urgency=medium

  * debian/rules: Added override_dh_autoreconf target and run the upstream
    autogen.sh script to fix the FTBFS reported in #759935.
  * debian/patches/747963_fix_conflicting_declarations.patch: Added.
    - Fixed a conflicting function declaration (closes: #747963).
  * debian/patches/752234_fix_chromium_command.patch: Added.
    - Fixed chromium command (closes: #752234).
  * debian/patches/759935_autogen.patch: Added.
    - Added the autogen.sh script from upstream (closes: #759935).

 -- Daniel Leidert <dleidert@debian.org>  Sat, 29 Nov 2014 20:32:08 +0100

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                python (>> 2.6.6-3~),
                python-dev,
                zlib1g-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://bluefish.openoffice.nl
 Vcs-Browser: http://sourceforge.net/p/bluefish/code/HEAD/tree/packages/debian/bluefish/trunk/
 Vcs-Svn: svn://svn.code.sf.net/p/bluefish/code/packages/debian/bluefish/trunk/
